Mail the applicant from the recruiting mailbox (managers of the posting)
POST /api/hr/v1/recruiting/applications/{id}/messages
Module: HR · operationId: sendApplicationMessage · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Request body
application/json (required)
body(string, required): Markdown (max length 50000)subject(string, required): Subject of the mail (max length 300)kind(string): message, or confirmation for the receipt confirmation (one ofmessage,confirmation; default"message")
Example:
{
"body": "Guten Tag Herr Lindner,\n\nkönnten Sie uns noch Ihr letztes Arbeitszeugnis schicken?\n\nViele Grüße\nMuster IT-Systemhaus GmbH – Personal",
"kind": "message",
"subject": "Ihre Bewerbung – Unterlagen"
}
Responses
- 201 Queued (
application/json) - 400 Error (
application/json) - 403 Error (
application/json) - 404 Error (
application/json) - 409 Error (
application/json) - 503 Error (
application/json)
Fields of the 201 answer:
authorName(string): Display name of who sent the mailauthorRef(string): Who sent the mail (e-mail)body(string): Markdown (out) or text (in); links of interview invitations are left outcreatedAt(string (date-time)): When the mail was sent or receiveddeliveryDetail(string): Details of a failed deliverydeliveryState(string): Delivery state reported by comms (one ofqueued,sent,failed,received)direction(string): out: sent to the applicant, in: received from them (one ofout,in)fromAddress(string): Sender address of a received mailid(string (uuid)): Id of the mailkind(string): What the mail is about (one ofconfirmation,rejection,message,interview,reply)subject(string): Subject of the mail
Example 201 answer:
{
"authorName": "Tobias Hartl",
"authorRef": "tobias.hartl@muster-it.example",
"body": "Guten Tag Herr Lindner,\n\nkönnten Sie uns noch Ihr letztes Arbeitszeugnis schicken?\n\nViele Grüße\nMuster IT-Systemhaus GmbH – Personal",
"createdAt": "2026-11-10T09:05:00Z",
"deliveryState": "sent",
"direction": "out",
"id": "1a3c5e7a-9c1e-4a3c-9e5a-9c1e3a5c7e9b",
"kind": "message",
"subject": "Ihre Bewerbung – Unterlagen"
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/hr/v1/recruiting/applications/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/messages' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"body":"Guten Tag Herr Lindner,\n\nkönnten Sie uns noch Ihr letztes Arbeitszeugnis schicken?\n\nViele Grüße\nMuster IT-Systemhaus GmbH – Personal","kind":"message","subject":"Ihre Bewerbung – Unterlagen"}'